> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List all attachments

> Returns a list of all attachments for a work item.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>The unique identifier of the project</ParamField>
<ParamField path="work_item_id" type="string" required>The unique identifier of the work item</ParamField>

## Query parameters

<ParamField query="issue" type="string">
  Filter by work item ID.
</ParamField>

<ParamField query="project" type="string">
  Filter by project ID.
</ParamField>

<ParamField query="workspace" type="string">
  Filter by workspace ID.
</ParamField>

<ParamField query="limit" type="number">
  Number of results to return per page.
</ParamField>

<ParamField query="offset" type="number">
  Number of results to skip for pagination.
</ParamField>

### Response

Returns an array of work item attachment objects.

```json theme={null}
{
   "id": "<asset-id>",
   "created_at": "2024-10-30T09:32:32.815273Z",
   "updated_at": "2024-10-30T09:32:35.533136Z", 
   "deleted_at": null,
   "attributes": {
       "name": "example.png",
       "size": 135686,
       "type": "image/png"
   },
   "asset": "<workspace-id>/<unique-id>-example.png",
   "entity_type": "ISSUE_ATTACHMENT",
   "is_deleted": false,
   "is_archived": false,
   "external_id": null,
   "external_source": null,
   "size": 135686.0,
   "is_uploaded": true,
   "storage_metadata": {
       "ETag": "<etag-hash>",
       "Metadata": {},
       "ContentType": "image/png",
       "LastModified": "2024-10-30T09:32:34+00:00",
       "ContentLength": 135686
   },
   "created_by": "<user-id>",
   "updated_by": "<user-id>",
   "workspace": "<workspace-id>",
   "project": "<project-id>",
   "issue": "<issue-id>"
}
```
